package com.iwunu.nbiot.lock.util;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.iwunu.nbiot.lock.service.IotDictionariesService;

import java.util.HashMap;
import java.util.Map;

/**
 * @author kinfeng
 * @date 2022/04/14 10:34 AM
 * @desc 上报数据类型对应的key
 */
@Configuration
public class ReportDataKeyUtil {
    public static Map<String,String> REPORT_TYPE = new HashMap<>() ;
    public static Map<String,String> REPORT_TYPE_KEY = new HashMap<>() ;
    //    01卡号 02电量 03序号 04总包数 05图片数据
    //    06密码 07钥匙 08时间 09有效位 0a开始上传图片
    //    0b删除密码 0c删除卡号 0d密码开锁  0e卡号开锁
    //    0f人脸开锁 10指纹开锁 11钥匙开锁
    //    12删除所有密码   13删除所有卡号
    @Autowired
    private IotDictionariesService iotDictionariesService;


    @Bean
    public String initReportType(){
        REPORT_TYPE = iotDictionariesService.listToMapString(iotDictionariesService.findListByType("reportData"));
        REPORT_TYPE_KEY= iotDictionariesService.listToMapValueString(iotDictionariesService.findListByType("reportData"));
        return null;
    }
}
